<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10.7                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

class p_userpage extends cmsPlugin {

// ==================================================================== //

    public function __construct(){

        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_userpage';
        $this->info['title']            = 'Портфолио';
        $this->info['description']      = 'Добавляет страницу с произвольным контентом';
        $this->info['author']           = 'AtlantisWeb';
        $this->info['version']          = '0.3';
        $this->info['tab']              = 'Портфолио'; //-- Заголовок закладки в профиле


        $this->config['Привязать форму, ID формы'] = 0;
        $this->config['Кому показывать, ID группы, для всех'] = 0;

        // События, которые будут отлавливаться плагином

        $this->events[]                 = 'USER_PROFILE';

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
 public function install(){

        $inDB = cmsDatabase::getInstance();

        if (!$inDB->isFieldExists('cms_users', 'userpage')){

            $inDB->query("ALTER TABLE `cms_users` ADD `userpage` TEXT NOT NULL");

        }

        return parent::install();

    }
// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $user){

        parent::execute();

        $inCore     = cmsCore::getInstance();
        $inDB       = cmsDatabase::getInstance();
        $inUser     = cmsUser::getInstance();

        $user_id    = $user['id'];
		$userin     = $inUser->id;

		$usgr_id = (int)$this->config['Кому показывать, ID группы, для всех'];
		$form_id = (int)$this->config['Привязать форму, ID формы'];
		$show = true;
		if ($this->config['Кому показывать, ID группы, для всех'] != '0'){
		if(($usgr_id == $inUser->group_id)||($user_id == $userin)) {$show = true;} else {$show = false; }
		}
		if ($this->config['Привязать форму, ID формы']){
		cmsCore::loadClass('form');
		 $form = cmsForm::displayForm($form_id, array(), true);
		}

		if(($user_id == $userin) || $inUser->is_admin){$canedit = true;}

		$userpage = mysql_real_escape_string($_POST['userpage']);

		if($canedit && $userpage){

		$sqll = "UPDATE cms_users
                SET userpage = '$userpage'
                WHERE id = '$user_id'
                LIMIT 1";

        $this->inDB->query($sqll);


		}
        $sql        = "SELECT userpage
                       FROM cms_users
                       WHERE id = {$user_id}
                       LIMIT 1";

        $result     = $this->inDB->query($sql);

        while($article = $this->inDB->fetch_assoc($result)){

			if ($article['userpage'] == ''){ $total = false;} else { $total = true; }

			$articles[] = $article;

        }

		$mod = $inDB->get_fields('cms_users', "id = '$user_id'", "userpage");

		ob_start();

        cmsPage::initTemplate('plugins', 'p_userpage.tpl')->
        assign('total', $total)->
        assign('mod', $mod)->
		assign('show', $show)->
		assign('form', $form)->
		assign('articles', $articles)->
		assign('canedit', $canedit)->
        display('p_userpage.tpl');
        
        $html = ob_get_clean();

        return $html;

    }

// ==================================================================== //
}
?>